The orders or chats that count against one Shop Performance Score metric
GET
/api/public/v1/tik_tok_shop/shop_health/metrics/{metricCode}/problemsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopHealthProblems
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics/<metricCode>/problems" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| metricCode | path | string | required |
| locale | query | string | |
| page_size | query | integer | |
| page_token | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| itemType | string | requiredOne of ordersaftersales_orderschatsunknown |
| items | array of object | required |
| metricCode | string | required |
| nextPageToken | string, nullable | |
| totalCount | integer, nullable |
Example
{
"itemType": "orders",
"items": [
{}
],
"metricCode": "MAYA15",
"nextPageToken": "string",
"totalCount": 3
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.